Bug 90479 - Bad help rendering with certain screen sizes
Summary: Bad help rendering with certain screen sizes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-08 19:50 UTC by Alex Butcher
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 16:24:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alex Butcher 2003-05-08 19:50:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030316

Description of problem:
If the user's .openoffice directory (created by running an OO.o app for the
first time) is created by running on an X server with the horizontal dimension
!= 640, 800, 1152, or 1024 (see ooffice script), then $scale gets set to 100 and
the FontScaling therefore gets set to 100. This makes most of the help text
render as single-pixel high lines. Not very readable.

A fix is to always set scale to 110+, or an uglier fix is to edit
/usr/lib/openoffice/help/*/custom.css to use Helvetica always.

Version-Release number of selected component (if applicable):
openoffice-1.0.1-8

How reproducible:
Always

Steps to Reproduce:
1. rm -rf $HOME/.openoffice
2. set X server to one with horizontal dimension != 640, 800, 1152 or 1024
3. ooffice
4. Help

    

Actual Results:  unreadble help text

Expected Results:  readable help text

Additional info:

As far as I can see, this is a bug introduced by Red Hat and Mandrake.

It may only manifest on machines with certain fonts installed (I have lots).

Comment 1 Dan Williams 2004-02-27 16:24:17 UTC
Please try current OOo 1.1.0, and reopen if problem still occurs


Note You need to log in before you can comment on or make changes to this bug.